* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

:root {
  --colour-primary: rgb(0, 125, 190);
  --colour-secondary: rgb(0, 183, 199);
  --colour-tertiary: rgb(35, 31, 32);
  --colour-quarternary: #f2f3f5;
  --colour-quinary: rgb(223, 240, 249);
}

@font-face {
  font-family: 'CenturyGothic';
  src: url('../fonts/Century Gothic.ttf');
}

@font-face {
  font-family: 'CenturyGothicBold';
  src: url('../fonts/GOTHICB.TTF');
}

@font-face {
  font-family: 'CGBoldItalic';
  src: url('../fonts/GOTHICBI.TTF');
}

@font-face {
  font-family: 'CGItalic';
  src: url('../fonts/GOTHICI.TTF');
}

/** Some global styles **/
body {
  font-family: 'CenturyGothic', sans-serif;
  background-color: var(--colour-quarternary);
}

p {
  margin-bottom: 1rem;
  text-align: justify;
}

li {
  list-style: none;
}

h1,
h2,
h3 {
  margin: 1rem 0;
  font-family: CenturyGothicBold;
  color: #006cb2;
}
h1 {
  text-align: center;
}

h2 {
  margin-top: 2rem;
}
h4 {
  font-family: CGItalic;
  text-align: center;
  margin-bottom: 1.5rem;
  color: #006cb2;
}

/******************** CONTAINER *************************/
.container {
  margin: 2rem auto;
  width: 70%;
}

/******  HEADER *********/
header {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  background-color: white;
}

.logo {
  flex: 1;
}

img.mdximg {
  height: 150px;
}
img.udmimg {
  height: 150px;
}
img.potsdamimg {
  height: 150px;
}
img.daadimg {
  height: 150px;
}
img.nmtimg {
  height: 150px;
}

/****** Navigation links ******/
nav {
  height: 8vh;
  background-color: var(--colour-primary);
}

nav ul.navigation--nav-links {
  display: flex;
  width: 100%;
  height: 100%;

  justify-content: space-around;
  align-items: center;
}

nav ul.navigation--nav-links li {
  list-style: none;
}

nav ul.navigation--nav-links li a {
  text-decoration: none;
  color: white;
  position: relative;
  padding: 0.4rem 0.6rem;
  font-size: 1.3rem;
}

ul.navigation--nav-links li a:link::before,
ul.navigation--nav-links li a:visited::before,
ul.navigation--nav-links li a:link::after,
ul.navigation--nav-links li a:visited::after {
  content: '';
  position: absolute;
  left: 0;
  width: 100%;
  height: 0.25rem;
  background-color: white;

  transform: scaleX(0);

  transition: transform 0.6s cubic-bezier(1, 0, 0, 1);
}
ul.navigation--nav-links li a:link::before,
ul.navigation--nav-links li a:visited::before {
  top: 0;
  /* Transform origin is center by default */
  transform-origin: left;
}
ul.navigation--nav-links li a:link::after,
ul.navigation--nav-links li a:visited::after {
  bottom: 0;
  transform-origin: right;
}
ul.navigation--nav-links li a:hover::before,
ul.navigation--nav-links li a:active::before,
ul.navigation--nav-links li a:hover::after,
ul.navigation--nav-links li a:active::after {
  transform: scaleX(1);
}

/****** Main content ******/
main {
  background-color: white;
  line-height: 1.5;
  padding: 1rem;
}

/*** Dates and location **/
.venue {
  display: flex;
  flex-wrap: wrap;
}

.venue__dates {
  margin: 0 2rem 2rem 2rem;
  padding: 1rem;
  flex: 1;
  box-shadow: rgba(6, 24, 44, 0.4) 0px 0px 0px 2px,
    rgba(6, 24, 44, 0.65) 0px 4px 6px -1px,
    rgba(255, 255, 255, 0.08) 0px 1px 0px inset;
}

.venue__dates--date {
  background-color: var(--colour-primary);
  display: inline-block;
  padding: 1rem 2rem;
  color: white;
  border-radius: 0.5rem;
  margin: 1rem 0;
  font-size: 1.2rem;
  width: 100%;
  text-align: center;
  font-weight: bold;
}

.venue__dates--location {
  font-size: 1rem;
  margin-bottom: 2rem;
}

/************************ Style unordered list *************/
ul.list {
  /* list-style-position: inside; */
  margin-left: 1.2rem;
}

li.list-item {
  list-style-type: disc;
  text-align: justify;
}

/************** Scroll to top button *******************/
.scroll {
  position: fixed;
  bottom: 4rem;
  right: 4rem;
  width: 3rem;
  height: 3rem;
  background-image: url('../images/scroll.svg');
  background-repeat: no-repeat;
  background-color: var(--colour-secondary);
  border-radius: 50%;
  background-size: contain;
  background-position: center;
  padding: 0.6rem;
  z-index: 30;
  cursor: pointer;
  visibility: hidden;
  opacity: 0;
  transition: all 0.5s ease;
}

.scroll.active {
  visibility: visible;
  opacity: 1;
  bottom: 4rem;
}

footer {
  padding: 1rem;
  height: 50px;
  background-color: var(--colour-primary);
  color: white;
  font-weight: bold;
  font-size: 12px;
  display: flex;
  justify-content: space-between;
}

/**********Style for contact part************/
.desc {
  text-align: center;
}

/************* Media Links *****************/
.media-container a {
  display: block;
  padding: 0.5rem 0;
}
